
<?php
session_start();

// Panggil koneksi database.php untuk koneksi database
require_once "../../config/database.php";

// fungsi untuk pengecekan status login user 
// jika user belum login, alihkan ke halaman login dan tampilkan pesan = 1
if (empty($_SESSION['username']) && empty($_SESSION['password'])){
    echo "<meta http-equiv='refresh' content='0; url=index.php?alert=1'>";
}
// jika user sudah login, maka jalankan perintah untuk insert, update, dan delete
else {
    if ($_GET['act']=='insert') {
        if (isset($_POST['simpan'])) {
            // ambil data hasil submit dari form
            $nama  		= mysqli_real_escape_string($mysqli, trim($_POST['nama']));
            $hp			= mysqli_real_escape_string($mysqli, trim($_POST['hp']));
			$alamat		= mysqli_real_escape_string($mysqli, trim($_POST['alamat']));
            $npwp	    = mysqli_real_escape_string($mysqli, trim($_POST['npwp']));
			$tgllahir	= mysqli_real_escape_string($mysqli, trim($_POST['tgllahir']));
			$tempatlahir= mysqli_real_escape_string($mysqli, trim($_POST['tempatlahir']));
			$sistem		= mysqli_real_escape_string($mysqli, trim($_POST['sistem']));
			
			$nama_file          = $_FILES['foto']['name'];
			$ukuran_file        = $_FILES['foto']['size'];
			$tipe_file          = $_FILES['foto']['type'];
			$tmp_file           = $_FILES['foto']['tmp_name'];
			
			// tentuka extension yang diperbolehkan
			$allowed_extensions = array('jpg','jpeg','png');
			
			$random = rand (1,1000);
			// Set path folder tempat menyimpan gambarnya
			$path_file          = "../../images/user/karyawan".$random."-".$nama_file;
			
			// check extension
			$file               = explode(".", $nama_file);
			$extension          = array_pop($file);

            $created_user = $_SESSION['id_user'];
			
			
			
			if (!empty($_FILES['foto']['name'])) {
			
					// Cek apakah tipe file yang diupload sesuai dengan allowed_extensions
					if (in_array($extension, $allowed_extensions)) {
	                    // Jika tipe file yang diupload sesuai dengan allowed_extensions, lakukan :
	                    if($ukuran_file <= 10000000) { // Cek apakah ukuran file yang diupload kurang dari sama dengan 1MB
	                        // Jika ukuran file kurang dari sama dengan 1MB, lakukan :
	                        // Proses upload
	                        if(move_uploaded_file($tmp_file, $path_file)) { // Cek apakah gambar berhasil diupload atau tidak
                        		// Jika gambar berhasil diupload, Lakukan : 
                        		// perintah query untuk mengubah data pada tabel users
								$namaimg = "karyawan".$random."-".$nama_file;

			                    // cek query
			                    if ($query) {
			                        // jika berhasil tampilkan pesan berhasil update data
			                        header("location: ../../main.php?module=karyawan&alert=21");
			                    }
                        	} else {
	                            // Jika gambar gagal diupload, tampilkan pesan gagal upload
	                            header("location: ../../main.php?module=karyawan&alert=5");
	                        }
	                    } else {
	                        // Jika ukuran file lebih dari 1MB, tampilkan pesan gagal upload
	                        header("location: ../../main.php?module=karyawan&alert=6");
	                    }
	                } else {
	                    // Jika tipe file yang diupload bukan jpg, jpeg, png, tampilkan pesan gagal upload
	                    header("location: ../../main.php?module=karyawan&alert=7");
	                } 
				}
				
				
				

            // perintah query untuk menyimpan data ke tabel obat
            $query = mysqli_query($mysqli, "INSERT INTO karyawan(nama,telp,alamat,nik,images,sistem,tgllahir,tempatlahir) 
                                            VALUES('$nama','$hp','$alamat','$npwp','$namaimg','$sistem','$tgllahir','$tempatlahir')")
                                            or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));    

            // cek query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil simpan data
                header("location: ../../main.php?module=karyawan&alert=1");
            }   
        }   
    }
    
    elseif ($_GET['act']=='update') {
        if (isset($_POST['simpan'])) {
                // ambil data hasil submit dari form
				$id  		= mysqli_real_escape_string($mysqli, trim($_POST['id']));
                $nama  		= mysqli_real_escape_string($mysqli, trim($_POST['nama']));
				$hp			= mysqli_real_escape_string($mysqli, trim($_POST['hp']));
				$alamat		= mysqli_real_escape_string($mysqli, trim($_POST['alamat']));
				$npwp	    = mysqli_real_escape_string($mysqli, trim($_POST['npwp']));
				$tgllahir	= mysqli_real_escape_string($mysqli, trim($_POST['tgllahir']));
				$tempatlahir= mysqli_real_escape_string($mysqli, trim($_POST['tempatlahir']));
				$sistem		= mysqli_real_escape_string($mysqli, trim($_POST['sistem']));

                $updated_user = $_SESSION['id_user'];

                // perintah query untuk mengubah data pada tabel obat
                $query = mysqli_query($mysqli, "UPDATE karyawan SET  nama   = '$nama',
                                                                    telp   	= '$hp',
                                                                    alamat  = '$alamat',
																	tgllahir  = '$tgllahir',
																	tempatlahir  = '$tempatlahir',
																	sistem  = '$sistem',
																	nik		= '$npwp'
                                                              WHERE id      = '$id'")
                                                or die('Ada kesalahan pada query update : '.mysqli_error($mysqli));

                // cek query
                if ($query) {
                    // jika berhasil tampilkan pesan berhasil update data
                    header("location: ../../main.php?module=karyawan&alert=2");
                }         
            
        }
    }

    elseif ($_GET['act']=='delete') {
        if (isset($_GET['id'])) {
            $id = $_GET['id'];
    
            // perintah query untuk menghapus data pada tabel obat
            $query = mysqli_query($mysqli, "Update karyawan set status = 'N' WHERE id='$id'")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            // cek hasil query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil delete data
                header("location: ../../main.php?module=karyawan&alert=3");
            }
        }
    }    
		
}       
?>